Bug 1387967 - [abrt] iok: set_startup_id(): iok killed by SIGSEGV: TAINTED
Summary: [abrt] iok: set_startup_id(): iok killed by SIGSEGV: TAINTED
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: iok
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c0d0d6db8ca07c961a0801d7938...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-24 05:21 UTC by Han Han
Modified: 2019-07-24 13:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 13:01:18 UTC


Attachments (Terms of Use)
File: backtrace (22.64 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: core_backtrace (2.60 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: dso_list (8.26 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: environ (2.07 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: maps (38.40 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: mountinfo (3.27 KB, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: open_fds (880 bytes, text/plain)
2016-10-24 05:21 UTC, Han Han
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2016-10-24 05:22 UTC, Han Han
no flags Details
File: var_log_messages (231 bytes, text/plain)
2016-10-24 05:22 UTC, Han Han
no flags Details

Description Han Han 2016-10-24 05:21:36 UTC
Description of problem:


Version-Release number of selected component:
iok-2.1.3-9.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        iok
crash_function: set_startup_id
executable:     /usr/bin/iok
global_pid:     20707
kernel:         4.9.0-0.rc1.git4.1.fc26.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 set_startup_id at ./uniqueapp.c:191
 #1 unique_app_set_property at ./uniqueapp.c:300
 #2 object_set_property at gobject.c:1423
 #3 g_object_constructor at gobject.c:2082
 #4 unique_app_constructor at ./uniqueapp.c:271
 #5 g_object_new_with_custom_constructor at gobject.c:1701
 #6 g_object_new_internal at gobject.c:1781
 #7 g_object_new_valist at gobject.c:2042
 #9 unique_app_new_with_commands at ./uniqueapp.c:579

Comment 1 Han Han 2016-10-24 05:21:42 UTC
Created attachment 1213314 [details]
File: backtrace

Comment 2 Han Han 2016-10-24 05:21:44 UTC
Created attachment 1213316 [details]
File: cgroup

Comment 3 Han Han 2016-10-24 05:21:45 UTC
Created attachment 1213318 [details]
File: core_backtrace

Comment 4 Han Han 2016-10-24 05:21:47 UTC
Created attachment 1213321 [details]
File: dso_list

Comment 5 Han Han 2016-10-24 05:21:49 UTC
Created attachment 1213323 [details]
File: environ

Comment 6 Han Han 2016-10-24 05:21:50 UTC
Created attachment 1213325 [details]
File: exploitable

Comment 7 Han Han 2016-10-24 05:21:52 UTC
Created attachment 1213326 [details]
File: limits

Comment 8 Han Han 2016-10-24 05:21:54 UTC
Created attachment 1213329 [details]
File: maps

Comment 9 Han Han 2016-10-24 05:21:56 UTC
Created attachment 1213332 [details]
File: mountinfo

Comment 10 Han Han 2016-10-24 05:21:58 UTC
Created attachment 1213334 [details]
File: namespaces

Comment 11 Han Han 2016-10-24 05:21:59 UTC
Created attachment 1213336 [details]
File: open_fds

Comment 12 Han Han 2016-10-24 05:22:01 UTC
Created attachment 1213337 [details]
File: proc_pid_status

Comment 13 Han Han 2016-10-24 05:22:02 UTC
Created attachment 1213338 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-02-28 10:30:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 15 Parag Nemade 2018-01-03 07:00:18 UTC
moving to rawhide

Comment 16 Fedora End Of Life 2018-02-20 15:30:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 17 Parag Nemade 2019-04-03 12:46:47 UTC
No time to look into this bug since long time now.

Comment 18 Parag Nemade 2019-07-24 13:01:18 UTC
This package is retired in F31. This package works fine under xorg session but not in Wayland.


Note You need to log in before you can comment on or make changes to this bug.